# FilterRecord Class Reference

List of all members.

## Public Types

enum | filterType { from, subject, header, size, to }
enum | expressionType { contains, contains_not, equals, equals_not, greater, less }

## Public Member Functions

| FilterRecord ()
| FilterRecord (filterType type, expressionType expression, const TQString &match, bool CaseSensitive, bool regExp)
bool | matches (ShowRecordElem *)
TQString | toString () const

## Public Attributes

filterType | _type
expressionType | _expression
TQString | _match
bool | _CaseSensitive
bool | _RegExp

## Detailed Description

Definition at line 29 of file filterelem.h.

The documentation for this class was generated from the following files:

- kshowmail/filterelem.h
- kshowmail/filterelem.cpp